import unittest

from gradescope_utils.autograder_utils.decorators import weight, number
from buyLotsOfFruit import buyLotsOfFruit

class SearchTests(unittest.TestCase):

    @weight(3)
    @number("2.0")
    def test_01(self):
        """buyLotsOfFruit test with apples, pears, and limes"""
        fruit_list = [('apples', 2.0), ('pears', 3.0), ('limes', 4.0)]

        amt = buyLotsOfFruit(fruit_list)

        self.assertAlmostEqual(12.25, amt, delta=0.01,
            msg="Incorrect amount for list" + str(fruit_list))

    @weight(3)
    @number("2.1")
    def test_02(self):
        """buyLotsofFruit test adding in some strawberries"""
        fruit_list = [('apples', 5.0), ('limes', 4.0), ('pears', 2.0),
                      ('strawberries', 43.4)]
    
        amt = buyLotsOfFruit(fruit_list)

        self.assertAlmostEqual(59.90, amt, delta=0.01, 
            msg="Incorrect amount for list" + str(fruit_list))

if __name__ == "__main__":
    unittest.main()
