import unittest

from gradescope_utils.autograder_utils.decorators import weight, number

import shopSmart
import shop

class SearchTests(unittest.TestCase):

    def setUp(self) -> None:
        self.order1 = [('apples', 1.0), ('oranges', 3.0)]
        self.order2 = [('apples', 3.0)]
        self.dir1 = {'apples': 2.0, 'oranges': 1.0}
        self.shop1 = shop.FruitShop('shop1', self.dir1)

        self.dir2 = {'apples': 1.0, 'oranges': 5.0}
        self.shop2 = shop.FruitShop('shop2', self.dir2)

        self.shops = [self.shop1, self.shop2]

    @weight(3)
    @number("3.0")
    def test_03(self):
        """shopSmart test 1 with apples and oranges"""
        best_shop = shopSmart.shopSmart(self.order1, self.shops)
        self.assertEqual(self.shop1, best_shop)

    @weight(3)
    @number("3.1")
    def test_04(self):
        """shopSmart test 2 with just apples"""
        best_shop = shopSmart.shopSmart(self.order2, self.shops)
        self.assertEqual(self.shop2, best_shop)

if __name__ == "__main__":
    unittest.main()
